Bug 995455 - Cannot view guided rule source if it contains temporal operator
Cannot view guided rule source if it contains temporal operator
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 08:18 EDT by Jiri Locker
Modified: 2014-08-06 16:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception stack trace (2.48 KB, text/plain)
2013-08-09 08:18 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-08-09 08:18:28 EDT
Created attachment 784817 [details]
exception stack trace

Description of problem:
Switching to Source tab causes exception, error popup appears, source is not displayed.

Version-Release number of selected component (if applicable):
CR1 (community)

How reproducible:
always

Steps to Reproduce:
1. open guided rule editor
2. add a fact that has event role OR fact with Date field
3. set sliding window OR add constraint on date/event filed using a temporal operator (after for example)
4. switch to Source tab

Actual results:
Error message pops up. It says:
Unable to complete your request. The following exception occurred: java.lang.reflect.InvocationTargetException : org.drools.workbench.models.commons.shared.rule.FactPattern@d11adab.

Expected results:
No error, source visible.

Additional info:
Stack trace attached,
Comment 5 Jiri Locker 2013-10-18 07:20:20 EDT
Fixed in ER4. Sliding windows will be fixed in bug 1005204.

Note You need to log in before you can comment on or make changes to this bug.